Bug 11150 - ee distorts bmp images
ee distorts bmp images
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: imlib (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-01 12:59 EDT by michal
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-08 14:47:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description michal 2000-05-01 12:59:38 EDT
When using 'testimg.bmp' from libjpeg sources the whole picture comes
sheared.  There are no problems with other test images in different
format from the same place.

This does seem to be a library question as 'xsri' does not have any
problems.  Also 'xv' shows all images correct.

  Michal
  michal@harddata.com
Comment 1 Owen Taylor 2000-07-19 16:05:57 EDT
This is a bug in imlib. The code in the BMP loader for imlib is
rather inpenetrable. If someone came up with a patch, we'd
apply it but otherwise, you'll probably just need to use one
of the other image loaders you mention that work.

(The gdk-pixbuf library that will eventually replace imlib does
not exhibit this bug.)

Note You need to log in before you can comment on or make changes to this bug.